CREATE TABLE IF NOT EXISTS gp_test.store (
	code_service varchar(50) NOT NULL,
	name_service varchar(100) NOT NULL,
	factory int4 NOT NULL,
	warehouse varchar(20) NULL,
	type_warehouse varchar(100) NULL,
	num_plane varchar(100) NOT NULL,
	name_plane varchar(100) NOT NULL,
	category varchar(10) NOT NULL,
	class_score varchar(20) NOT NULL,
	date_receipt timestamp NOT NULL,
	mean_price numeric(10, 2) NULL,
	count_product numeric(20, 2) NOT NULL,
	base_store varchar(10) NULL,
	all_cost numeric(20, 2) NOT NULL,
	material varchar(50) NOT NULL,
	batch varchar(50) NULL,
	product_elem varchar(50) NOT NULL,
	material_name varchar(300) NOT NULL,
	date_plane timestamp NOT NULL,
	date_receipt_mol timestamp NULL,
	type_receipt varchar(10) NULL,
	group_party varchar(20) NOT NULL,
	name_group_material varchar(50) NOT NULL,
	responsible varchar(20) NULL,
	responsible_fact varchar(20) NULL,
	line_product int4 NOT NULL,
	name_line_activity varchar(50) NOT NULL,
	class_material varchar(50) NOT NULL,
	class_name varchar(50) NOT NULL,
	type_reserve varchar(100) NOT NULL,
	finance_type varchar(20) NOT NULL,
	date_save timestamp NULL,
	type_score varchar(20) NOT NULL,
	main_account varchar(30) NOT NULL,
	weight_score numeric(10, 2) NOT NULL,
	type_material varchar(30) NOT NULL,
	status_spp varchar(30) NULL,
	currency varchar(10) NOT NULL,
	price numeric(20, 2) NOT NULL DEFAULT 0.00,
	price_more_yers numeric(20, 2) NOT NULL DEFAULT 0.00,
	type_contractor varchar(10) NULL,
	be varchar(10) NOT NULL,
	number_party varchar(20) NULL,
	name_contractor varchar(50) NULL,
	name_sm varchar(50) NULL,
	number_contract varchar(20) NOT NULL,
	type_ter varchar(100) NULL,
	date_contract timestamp NOT NULL,
	period_warrenty varchar(20) NULL,
	free_reserve varchar(50) NOT NULL,
	group_sint varchar(20) NULL,
	name_group_sint varchar(20) NULL,
	date_max timestamp NULL,
	story_spp varchar(10) NULL,
	order_client varchar(10) NULL,
	count_order_client numeric(10, 2) NULL,
	type_order_client varchar(10) NULL,
	name_type_order_client varchar(10) NULL,
	order_price numeric(10, 2) NOT NULL DEFAULT 0.00,
	last_order_price numeric(10, 2) NOT NULL DEFAULT 0.00,
	okpd2 varchar(10) NULL,
	tnved varchar(10) NULL,
	internal_number_rnpt varchar(10) NULL,
	external_number_rnpt varchar(10) NULL,
	country_product varchar(10) NULL,
	store_key uuid NOT NULL,
	last_date timestamp NOT NULL DEFAULT now(),
	last_user varchar NULL
);

CREATE UNIQUE INDEX IF NOT EXISTS store_store_key_idx ON gp_test.store USING btree (store_key);

create or replace trigger update_data before insert or update on gp_test.store
for each row execute function gp_test.update_data();

CREATE TABLE IF NOT EXISTS tmp.store(
code_service varchar(50) not null,
name_service varchar(100) not null,
factory int4 not null,
warehouse varchar(20) null,
type_warehouse varchar(100) null,
num_plane varchar(100) not null,
name_plane varchar(100) not null,
category varchar(10) not null,
class_score varchar(20) not null,
date_receipt timestamp not null,
mean_price numeric(10, 2) null,
count_product numeric(20, 2) not null,
base_store varchar(10) null,
all_cost numeric(20, 2) not null,
material varchar(50) not null,
batch varchar(50) null,
product_elem varchar(50) not null,
material_name varchar(300) not null,
date_plane timestamp not null,
date_receipt_mol timestamp null,
type_receipt varchar(10) null,
group_party varchar(20) not null,
name_group_material varchar(50) not null,
responsible varchar(20) null,
responsible_fact varchar(20) null,
line_product int4 not null,
name_line_activity varchar(50) not null,
class_material varchar(50) not null,
class_name varchar(50) not null,
type_reserve varchar(100) not null,
finance_type varchar(20) not null,
date_save timestamp null,
type_score varchar(20) not null,
main_account varchar(30) not null,
weight_score numeric(10, 2) not null,
type_material varchar(30) not null,
status_spp varchar(30) null,
currency varchar(10) not null,
price numeric(20, 2) not null default 0.00,
price_more_yers numeric(20, 2) not null default 0.00,
type_contractor varchar(10) null,
be varchar(10) not null,
number_party varchar(20) null,
name_contractor varchar(50) null,
name_sm varchar(50) null,
number_contract varchar(20) not null,
type_ter varchar(100) null,
date_contract timestamp not null,
period_warrenty varchar(20) null,
free_reserve varchar(50) not null,
group_sint varchar(20) null,
name_group_sint varchar(20) null,
date_max timestamp null,
story_spp varchar(10) null,
order_client varchar(10) null,
count_order_client numeric(10, 2) null,
type_order_client varchar(10) null,
name_type_order_client varchar(10) null,
order_price numeric(10, 2) not null default 0.00,
last_order_price numeric(10, 2) not null default 0.00,
okpd2 varchar(10) null,
tnved varchar(10) null,
internal_number_rnpt varchar(10) null,
external_number_rnpt varchar(10) null,
country_product varchar(10) null
);